> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavebybemobi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get holder



## OpenAPI

````yaml GET /holders/{holderId}
openapi: 3.1.0
info:
  title: Wave Lines API
  version: 1.0.0
servers: []
security:
  - client_id: []
    secret_key: []
tags:
  - name: lines
    description: Line lifecycle operations
  - name: payments
    description: Payment listing and lookup
  - name: tax-receipts
    description: Tax receipt listing, lookup and document download
  - name: subscriptions
    description: Subscription lookup, product management and invoices
  - name: holders
    description: Holder (customer) listing, lookup and creation
  - name: usage
    description: 'Usage: per-product line balance and consumption'
  - name: Portability
    description: >-
      Number portability: port-in request creation, listing, modification and
      cancellation, plus the consolidated portability status
  - name: Inventory
    description: >-
      Inventory resource pools: pool listing, the resources held in a pool and
      resource reservations
  - name: Catalog
    description: Catalog offers exposed by the Wave Catalog API
paths:
  /holders/{holderId}:
    get:
      tags:
        - holders
      parameters:
        - schema:
            type: string
            format: uuid
          in: path
          name: holderId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  federalTaxId:
                    type: string
                  contact:
                    type: object
                    properties:
                      phone:
                        type: object
                        properties:
                          countryCode:
                            type: string
                          areaCode:
                            type: string
                          phoneNumber:
                            type: string
                        required:
                          - countryCode
                          - areaCode
                          - phoneNumber
                        additionalProperties: false
                      email:
                        type: string
                    required:
                      - phone
                    additionalProperties: false
                  address:
                    type: object
                    properties:
                      street:
                        type: string
                      number:
                        type: string
                      complement:
                        type: string
                      neighborhood:
                        type: string
                      city:
                        type: string
                      state:
                        type: string
                      zipCode:
                        type: string
                      country:
                        type: string
                    required:
                      - street
                      - number
                      - neighborhood
                      - city
                      - state
                      - zipCode
                      - country
                    additionalProperties: false
                  modules:
                    type: object
                    properties:
                      tax:
                        type: object
                        properties:
                          icmsTaxPayer:
                            type: boolean
                          communicationServiceCustomerCategory:
                            type: string
                          isGovernmentEntity:
                            type: boolean
                        additionalProperties: false
                      billing:
                        type: object
                        properties:
                          brokerId:
                            type: string
                        additionalProperties: false
                    additionalProperties: false
                  externalCode:
                    type: string
                  brokerId:
                    type: string
                  exempted:
                    type: boolean
                  createdAt:
                    type: string
                required:
                  - id
                  - name
                  - federalTaxId
                  - contact
                  - address
                  - exempted
                  - createdAt
                additionalProperties: false
components:
  securitySchemes:
    client_id:
      type: apiKey
      in: header
      name: client_id
    secret_key:
      type: apiKey
      in: header
      name: secret_key

````